<manifest xmlns:android="http://schemas.android.com/apk/res/android" xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" /> <!-- IslandWatcher -->

    <application tools:ignore="AllowBackup,GoogleAppIndexingWarning,MissingApplicationIcon">

        <receiver android:name=".IslandWatcher" android:enabled="@bool/since_api_28" android:directBootAware="true">
            <intent-filter>
                <action android:name="android.intent.action.LOCKED_BOOT_COMPLETED" />
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <action android:name="android.intent.action.MY_PACKAGE_REPLACED" />
                <action android:name="android.intent.action.USER_INFO_CHANGED" /> <!-- Registered only -->
                <action android:name="android.app.action.NOTIFICATION_CHANNEL_BLOCK_STATE_CHANGED" />
                <action android:name="android.app.action.APP_BLOCK_STATE_CHANGED" />
            </intent-filter>
        </receiver>
        <service android:name=".IslandWatcher$IslandDeactivationService" android:directBootAware="true" />

        <receiver android:name=".IslandAppWatcher" android:enabled="@bool/since_api_26" android:directBootAware="true">
            <intent-filter>
                <action android:name="android.intent.action.PACKAGE_FULLY_REMOVED" />
                <data android:scheme="package" />
            </intent-filter>
        </receiver>
        <provider android:name=".IslandAppWatcher$AppStateTracker"
                  android:authorities="${applicationId}.watcher"
                  android:exported="false"
                  android:enabled="@bool/since_api_26"
                  android:directBootAware="true" />

    </application>
</manifest>
